Name:           openrgb
Version:        0.9
Release:        %mkrel 1
Summary:        Open source RGB lighting control
License:        GPL-2.0-only
Group:          System/Configuration
URL:            https://gitlab.com/CalcProgrammer1/OpenRGB
Source0:        https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_%{version}/OpenRGB-release_%{version}.tar.bz2
Patch0:         OpenRGB-use_system_libs.patch

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(gusb)
BuildRequires:  pkgconfig(hidapi-hidraw)
BuildRequires:  pkgconfig(libe131)
BuildRequires:  pkgconfig(mbedtls)
BuildRequires:  libstdc++-devel
BuildRequires:  libstdc++-static-devel

Recommends:     i2c-tools
Provides:       OpenRGB

%description
The purpose of this tool is to control RGB lights on different peripherals.
Accessing the SMBus is a potentially dangerous operation, so exercise caution.

%prep
%autosetup -p1 -n OpenRGB-release_%{version}

%build
%qmake_qt5
%make_build

./scripts/build-udev-rules.sh $(pwd)

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE
%doc README.md
%{_bindir}/openrgb
%{_datadir}/applications/OpenRGB.desktop
%{_iconsdir}/hicolor/*/apps/OpenRGB.png
%{_metainfodir}/org.%{name}.OpenRGB.metainfo.xml
%{_udevrulesdir}/60-openrgb.rules


%changelog
* Thu Nov 14 2024 daviddavid <daviddavid> 0.9-1.mga10
+ Revision: 2115506
- initial package openrgb (mga#33743)

